Package org.flowable.batch.api

# Interface BatchQuery

All Superinterfaces:
  `DeleteQuery<BatchQuery,Batch>`, `Query<BatchQuery,Batch>`

public interface BatchQuery extends Query<BatchQuery,Batch>, DeleteQuery<BatchQuery,Batch>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BatchQuery`
  `batchId(String batchId)`
  Only select batches with the given id
  `BatchQuery`
  `batchType(String batchType)`
  Only select batches which exist for the given type.
  `BatchQuery`
  `batchTypes(Collection<String> batchTypes)`
  Only select batches which exist for the given types.
  `BatchQuery`
  `completeTimeHigherThan(Date date)`
  Only select batches where the complete time is higher then the given date.
  `BatchQuery`
  `completeTimeLowerThan(Date date)`
  Only select batches where the complete time is lower than the given date.
  `BatchQuery`
  `createTimeHigherThan(Date date)`
  Only select batches where the create time is higher then the given date.
  `BatchQuery`
  `createTimeLowerThan(Date date)`
  Only select batches where the create time is lower than the given date.
  `BatchQuery`
  `orderByBatchCreateTime()`
  Order by batch create time (needs to be followed by `Query.asc()` or `Query.desc()`).
  `BatchQuery`
  `orderByBatchId()`
  Order by batch id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `BatchQuery`
  `orderByBatchTenantId()`
  Order by batch create time (needs to be followed by `Query.asc()` or `Query.desc()`).
  `BatchQuery`
  `searchKey(String searchKey)`
  Only select batches which exist for the given search key.
  `BatchQuery`
  `searchKey2(String searchKey2)`
  Only select batches which exist for the given search key.
  `BatchQuery`
  `status(String status)`
  Only select batches which exist for the given status.
  `BatchQuery`
  `tenantId(String tenantId)`
  Only select batches which exist for the given tenant id.
  `BatchQuery`
  `tenantIdLike(String tenantIdLike)`
  Only select batches with a tenant id like the given one.
  `BatchQuery`
  `withoutTenantId()`
  Only select batches that do not have a tenant id.

  ### Methods inherited from interface org.flowable.common.engine.api.query.DeleteQuery

  `delete, deleteWithRelatedData`

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### batchId

    BatchQuery batchId(String batchId)
    Only select batches with the given id

  - ### batchType

    BatchQuery batchType(String batchType)
    Only select batches which exist for the given type.

  - ### batchTypes

    BatchQuery batchTypes(Collection<String> batchTypes)
    Only select batches which exist for the given types.

  - ### searchKey

    BatchQuery searchKey(String searchKey)
    Only select batches which exist for the given search key.

  - ### searchKey2

    BatchQuery searchKey2(String searchKey2)
    Only select batches which exist for the given search key.

  - ### createTimeLowerThan

    BatchQuery createTimeLowerThan(Date date)
    Only select batches where the create time is lower than the given date.

  - ### createTimeHigherThan

    BatchQuery createTimeHigherThan(Date date)
    Only select batches where the create time is higher then the given date.

  - ### completeTimeLowerThan

    BatchQuery completeTimeLowerThan(Date date)
    Only select batches where the complete time is lower than the given date.

  - ### completeTimeHigherThan

    BatchQuery completeTimeHigherThan(Date date)
    Only select batches where the complete time is higher then the given date.

  - ### status

    BatchQuery status(String status)
    Only select batches which exist for the given status.

  - ### tenantId

    BatchQuery tenantId(String tenantId)
    Only select batches which exist for the given tenant id.

  - ### tenantIdLike

    BatchQuery tenantIdLike(String tenantIdLike)
    Only select batches with a tenant id like the given one.

  - ### withoutTenantId

    BatchQuery withoutTenantId()
    Only select batches that do not have a tenant id.

  - ### orderByBatchId

    BatchQuery orderByBatchId()
    Order by batch id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByBatchCreateTime

    BatchQuery orderByBatchCreateTime()
    Order by batch create time (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByBatchTenantId

    BatchQuery orderByBatchTenantId()
    Order by batch create time (needs to be followed by `Query.asc()` or `Query.desc()`).